
<div [formGroup]="form">
  <mat-accordion>
    <mat-expansion-panel [expanded]="false" class="mb-2">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>BPM / NSF</h6></mat-panel-title>
      </mat-expansion-panel-header>

      <!-- NRMServiceInstance -->
      <div>
        <dx-data-grid class="mb-3" [dataSource]="nrmServiceInstanceList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
          <dxi-column dataField="srvcInstcNme" caption="Name" dataType="string"></dxi-column>
          <dxi-column dataField="loopAcptDt" caption="Loop Acceptance Date" dataType="string"></dxi-column>
          <dxi-column dataField="ordrStusDes" caption="Order Status" dataType="string"></dxi-column>
          <dxi-column dataField="dscnctDt" caption="Disconnect Date" dataType="string"></dxi-column>
          <dxi-column dataField="actvDt" caption="Activation Date" dataType="string"></dxi-column>
          <dxi-column dataField="ordrCmntTxt" caption="Order Comments Text" dataType="string"></dxi-column>
          <dxi-column dataField="h5H6Id" caption="H6" dataType="string"></dxi-column>
          <dxi-column dataField="nuaAdr" caption="Nua Address" dataType="string"></dxi-column>
          <dxi-column dataField="billClearDt" caption="Bill Clear Date" dataType="string"></dxi-column>
        </dx-data-grid>
      </div>

      <!-- NRMCircuit -->
      <div>
        <dx-data-grid class="mb-3" [dataSource]="nrmCircuitList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="srvcInstcNme" caption="Service Instance Name" dataType="string"></dxi-column>
          <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
          <dxi-column dataField="cktObjId" caption="Circuit Object Id" dataType="string"></dxi-column>
          <dxi-column dataField="cktNme" caption="Circuit Name" dataType="string"></dxi-column>
          <dxi-column dataField="fmsCktId" caption="Circuit ID" dataType="string"></dxi-column>
          <dxi-column dataField="nuaAdr" caption="Nua Address" dataType="string"></dxi-column>
          <dxi-column dataField="plnNme" caption="PLN Name" dataType="string"></dxi-column>
          <dxi-column dataField="plnSeqNbr" caption="PLN Seq Number" dataType="string"></dxi-column>
          <dxi-column dataField="tocAdr" caption="POP Address" dataType="string"></dxi-column>
          <dxi-column dataField="portAsmtDes" caption="Port Assignment" dataType="string"></dxi-column>
          <dxi-column dataField="tocNme" caption="POP Name" dataType="string"></dxi-column>
          <dxi-column dataField="fmsSiteId" caption="POP Site ID" dataType="string"></dxi-column>
          <dxi-column dataField="tocAdr1" caption="POP Addr 1" dataType="string"></dxi-column>
          <dxi-column dataField="tocAdr2" caption="POP Addr 2" dataType="string"></dxi-column>
          <dxi-column dataField="tocCtyNme" caption="POP City" dataType="string"></dxi-column>
          <dxi-column dataField="tocDmstcSttNme" caption="POP State (US Only)" dataType="string"></dxi-column>
          <dxi-column dataField="tocZipCd" caption="POP Postal Code" dataType="string"></dxi-column>
          <dxi-column dataField="tocCtryCd" caption="POP Country Code" dataType="string"></dxi-column>
          <dxi-column dataField="tocCtryNme" caption="POP Country Name" dataType="string"></dxi-column>
        </dx-data-grid>
      </div>

      <!-- NRMVendor -->
      <div>
        <dx-data-grid class="mb-3" [dataSource]="nrmVendorList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
          <dxi-column dataField="vndrNme" caption="Vendor Name" dataType="string"></dxi-column>
          <dxi-column dataField="vndrTypeId" caption="Vendor Type" dataType="string"></dxi-column>
          <dxi-column dataField="vndrCktId" caption="Vendor Circuit Id" dataType="string"></dxi-column>
          <dxi-column dataField="lecId" caption="LEC Id" dataType="string"></dxi-column>
          <dxi-column dataField="segTypeId" caption="Seg Type Id" dataType="string"></dxi-column>
          <dxi-column dataField="h6H5Id" caption="H6" dataType="string"></dxi-column>
        </dx-data-grid>
      </div>

      <!-- NRMNotes -->
      <!--<div>
        <dx-data-grid class="mb-3" [dataSource]="nrmNotesList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="noteTypeDesc" caption="Note Type" dataType="string"></dxi-column>
          <dxi-column dataField="note" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="createDate" caption="Created On" dataType="string"></dxi-column>
        </dx-data-grid>
      </div>-->

    </mat-expansion-panel>
  </mat-accordion>
</div>
